# flatpak install

flatpak

Developer
Alexander
Larsson
alexl@redhat.com
flatpak install
1

# flatpak-install

Install an application or runtime

Install from a configured remote:

                    flatpak install
                    OPTION
                    REMOTE-NAME
                    REF

Install from a .flatpakref file:

                    flatpak install
                    OPTION
                    --from
                    LOCATION

Install from a .flatpak bundle:

                    flatpak install
                    OPTION
                    --bundle
                    FILENAME

## Description

Installs an application or runtime. The primary way to install is to specify a REMOTE name as the source and one ore more REFs to specify the application or runtime to install.

Each REF argument is a full or partial indentifier in the flatpak ref format, which looks like "(app|runtime)/ID/ARCH/BRANCH". All elements except ID are optional and can be left out, including the slashes, so most of the time you need only specify ID. Any part left out will be matched against what is in the remote, and if there are multiple matches an error message will list the alternatives.

By default this looks for both apps and runtimes with the given REF in the specified REMOTE, but you can limit this by using the --app or --runtime option, or by supplying the initial element in the REF.

If REMOTE is a uri or a path (absolute or relative starting with ./) to a local repository, then that repository will be used as the source, and a temporary remote will be created for the lifetime of the REF.

The alternative form of the command (--from or --bundle allows you to install directly from a source such as a .flatpak single-file bundle, a .flatpakref app description. The options are optional if the first argument have the right extension.

Note that flatpak allows one to have multiple branches of an application and runtimes installed and used at the same time. However, only version of an application one can be current, meaning its exported files (for instance desktop files and icons) are visible to the host. The last installed version is made current by default, but you can manually change with make-current.

Unless overridden with the --user or the --installation option, this command installs the application or runtime in the default system-wide installation.

## Options

The following options are understood:

`-h`
`--help`

  Show help options and exit.

`--bundle`

  Assume LOCATION is a .flatpak single-bundle file. This is optional if the arguments ends with .flatpak.

`--from`

  Assume LOCATION is a .flatpakref file containing the details of the app to be installed. This is optional if the arguments ends with .flatpakref.

`--reinstall`

  Uninstall first if already installed.

`--user`

  Install the application or runtime in a per-user installation.

`--system`

  Install the application or runtime in the default system-wide installation.

`--installation=NAME`

  Install the application or runtime in a system-wide installation specified by NAME among those defined in `/etc/flatpak/installations.d/`. Using --installation=default is equivalent to using --system.

`--arch=ARCH`

  The default architecture to install for, if not given explicitly in the REF.

`--subpath=PATH`

  Install only a subpath of the ref. This is mainly used to install a subset of locales. This can be added multiple times to install multiple subpaths.,

`--gpg-file=FILE`

  Check bundle signatures with GPG key from FILE (- for stdin).

`--no-deploy`

  Download the latest version, but don't deploy it.

`--no-pull`

  Don't download the latest version, deploy whatever is locally available.

`--no-related`

  Don't download related extensions, such as the locale data.

`--no-deps`

  Don't verify runtime dependencies when installing.

`--app`

  Assume that all REFs are apps if not explicitly specified.

`--runtime`

  Assume that all REFs are runtimes if not explicitly specified.

`-y`
`--assumeyes`

  Automatically answer yes to all questions (or pick the most prioritized answer). This is useful for automation.

`-v`
`--verbose`

  Print debug information during command processing.

`--ostree-verbose`

  Print OSTree debug information during command processing.

`--version`

  Print version information and exit.

## Examples

`$ flatpak install gnome org.gnome.gedit2`

`$ flatpak --installation=default install gnome org.gnome.gedit2`

`$ flatpak --user install gnome org.gnome.gedit//3.22`

`$ flatpak --user install https://sdk.gnome.org/gedit.flatpakref`

## See also

flatpak 1, flatpak-update 1, flatpak-list 1, flatpak-build-bundle 1, flatpak-flatpakref 1